Page MenuHomePhabricator

(Need By Jan 25) rack/setup/install snapshot1010.eqiad.wmnet
Closed, ResolvedPublic

Description

This task tracks racking and seutp of snapshot1010.eqiad.wmnet.

Racking Proposal: Any 1G rack except where existing snapshot hosts are. Avoid A4, B1, C4, D1, D4.
Networking/Subnet/VLAN/IP: These are 1G boxes and don't need more than that. Internal vlan please, it is not a public-facing server.
Partitioning/Raid: Partman recipe: the newer hosts use partman/raid1-lvm-ext4-srv-noswap.cfg so if the disk layout and hw supports it, please do that.

snapshot1010.eqiad.wmnet:

  • - receive in system on procurement task T233639
  • - rack system with proposed racking plan (see above, any 1G rack EXCEPT A4, B1, C4, D1, D4) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing

[]x - mgmt dns entries added for both asset tag and hostname

  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

Details

Related Gerrit Patches:
operations/puppet : productionturn snapshot1010 into an xml dumps testbed
operations/puppet : productionupdating snapshot1010 to raid1-lvm-ext4 cfg
operations/puppet : productionupdating dhcp file for snapshot1010
operations/puppet : productionAdding dhcpd and partman for snapshot1010
operations/dns : masterAdding production dns for snapshot1010
operations/dns : masterAdding mgmt dns for snapshot1010

Event Timeline

RobH triaged this task as Medium priority.Jan 2 2020, 10:43 PM
RobH created this task.
RobH moved this task from Backlog to Racking Tasks on the ops-eqiad board.Jan 2 2020, 10:50 PM
wiki_willy renamed this task from rack/setup/install snapshot1010.eqiad.wmnet to (No Need By Date) rack/setup/install snapshot1010.eqiad.wmnet.Jan 2 2020, 11:35 PM
ArielGlenn moved this task from Backlog to Active on the Dumps-Generation board.Jan 7 2020, 3:04 PM

Might I be able to get this by Jan 25? This will allow me to do set-up and have it ready to go by Feb 1st.

wiki_willy renamed this task from (No Need By Date) rack/setup/install snapshot1010.eqiad.wmnet to (Need By Jan 25) rack/setup/install snapshot1010.eqiad.wmnet.Jan 7 2020, 4:02 PM

these have been received working on getting into netbox and will start racking shortly will not be finished before all hands . Will be able to turn over by feb 14th as long as no surprises

Ok, that will let me schedule to fold it in by March 1 then. Thanks for the update.

RobH removed a subscriber: RobH.Jan 24 2020, 10:07 PM

How does the above ETA look, now that all hands as done and you have a better idea of what's on your plate?

Jclark-ctr updated the task description. (Show Details)Wed, Feb 5, 11:48 PM
Jclark-ctr added a comment.EditedThu, Feb 6, 12:11 AM

Host is racked
rack B5 U25 . Switchport 14

Handing off to cmjohnson for setup

Jclark-ctr updated the task description. (Show Details)
Jclark-ctr added a subscriber: Jclark-ctr.

Change 572314 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Adding mgmt dns for snapshot1010

https://gerrit.wikimedia.org/r/572314

Change 572314 merged by Cmjohnson:
[operations/dns@master] Adding mgmt dns for snapshot1010

https://gerrit.wikimedia.org/r/572314

Change 572315 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Adding production dns for snapshot1010

https://gerrit.wikimedia.org/r/572315

Change 572315 merged by Cmjohnson:
[operations/dns@master] Adding production dns for snapshot1010

https://gerrit.wikimedia.org/r/572315

Cmjohnson updated the task description. (Show Details)Fri, Feb 14, 8:05 PM

@Jclark-ctr 10.65.2.44 is mgmt ip

Jclark-ctr updated the task description. (Show Details)Fri, Feb 14, 10:30 PM

configured bios and idrac.

Change 572945 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Adding dhcpd and partman for snapshot1010

https://gerrit.wikimedia.org/r/572945

Change 572945 merged by Cmjohnson:
[operations/puppet@production] Adding dhcpd and partman for snapshot1010

https://gerrit.wikimedia.org/r/572945

Change 572958 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] updating dhcp file for snapshot1010

https://gerrit.wikimedia.org/r/572958

Change 572958 merged by Cmjohnson:
[operations/puppet@production] updating dhcp file for snapshot1010

https://gerrit.wikimedia.org/r/572958

Change 572978 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] updating snapshot1010 to raid1-lvm-ext4 cfg

https://gerrit.wikimedia.org/r/572978

Change 572978 merged by Cmjohnson:
[operations/puppet@production] updating snapshot1010 to raid1-lvm-ext4 cfg

https://gerrit.wikimedia.org/r/572978

Cmjohnson reassigned this task from Cmjohnson to ArielGlenn.Wed, Feb 19, 4:17 PM
Cmjohnson updated the task description. (Show Details)
Cmjohnson removed a project: ops-eqiad.
Cmjohnson added a subscriber: Cmjohnson.

Removing ops-eqiad tag, assigned to @ArielGlenn

Change 573343 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/puppet@production] turn snapshot1010 into an xml dumps testbed

https://gerrit.wikimedia.org/r/573343

Change 573343 merged by ArielGlenn:
[operations/puppet@production] turn snapshot1010 into an xml dumps testbed

https://gerrit.wikimedia.org/r/573343

ArielGlenn closed this task as Resolved.Thu, Feb 20, 9:21 AM

We're up and running! Thanks everyone.

Changed its Netbox status to Active as https://netbox.wikimedia.org/extras/reports/puppetdb.PhysicalHosts/ was alerting and the host looks active.

Changed its Netbox status to Active as https://netbox.wikimedia.org/extras/reports/puppetdb.PhysicalHosts/ was alerting and the host looks active.

It is indeed, thanks!